Package: org.codehaus.groovy.grails.web.converters.marshaller.xml

## [Java] Class ToStringBeanMarshaller

- org.codehaus.groovy.grails.web.converters.marshaller.xml.ToStringBeanMarshaller

- All Implemented Interfaces and Traits:
    ObjectMarshaller

      public class ToStringBeanMarshaller
      extends java.lang.Object

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ToStringBeanMarshaller (java.util.Set<java.lang.Class<?>> classes)`
    `ToStringBeanMarshaller ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `marshalObject(java.lang.Object object, XML converter)`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ToStringBeanMarshaller(java.util.Set<java.lang.Class<?>> classes)

    - #### @java.lang.SuppressWarnings("unchecked") public ToStringBeanMarshaller()

  - ### Method Detail

    - #### public void marshalObject(java.lang.Object object, XML converter)

    - #### public boolean supports(java.lang.Object object)